package com.huiju.estateagents.property.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.property.model.BillStatement;
import org.apache.ibatis.annotations.*;

import java.util.Map;

/**
 * <p>
 * 账单流水表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2019-02-13
 */
@Mapper
public interface BillStatementMapper extends BaseMapper<BillStatement> {

    IPage<BillStatement> getBillStatementAll(Page page, @Param("map") Map<String, Object> map);

    /**
     * 根据小区id，缴费单id 查询
     * @param orgId
     * @param tpBillInvoiceId
     * @return
     */
    @ResultType(BillStatement.class)
    @Select("select *  from tp_bill_statement where org_id = #{orgId} and bill_invoice_id = #{tpBillInvoiceId}")
    BillStatement selectByCommunityIdAndBillInvoiceId(Integer orgId, Integer tpBillInvoiceId);
}
